package ptzcamera;

import anywheresoftware.b4a.BA;

public interface CamFunctions {
	public void Initialize(BA ba, Object callerobject, String eventname);
	public void Setup(int ID, String CameraName, PTZComPort targetport);
	
	public boolean SetPreset(int presetnumber);
	
	
	public boolean ClearPreset(int presetnumber);
	
	
	public boolean GoToPreset(int presetnumber);
	
	
	public boolean Start_PanTiltZoom(int pan, int tilt , int zoom, int speed);
	
	public boolean StopMoving();
	
	public boolean Left(int speed);
	
	public boolean Right(int speed);
	
	public boolean Up(int speed);
	
	public boolean Down(int speed);
	
	public boolean UpLeft(int speed);
	
	public boolean UpRight(int speed);
	
	public boolean DownLeft(int speed);
	
	public boolean DownRight(int speed);
	
	public boolean ZoomIn();
	
	public boolean ZoomOut();
	
	public boolean FocusNear();
	
	public boolean FocusFar();
	
	public boolean Get_PanPosition();
	
	public boolean Get_TiltPosition();
	
	public boolean Get_ZoomPosition();
	
	public boolean Set_Tracking(boolean ON);
	
	public boolean Trigger_Tracking();
	
	public boolean Set_WOL(boolean ON);
	
	public boolean Read_Profile(int profileID);
	
	public boolean Save_Profile(int profileID);
}
